Cyberduck Mountain Duck CLI

#2087 closed defect (fixed)

Always uses most recent bookmark credentials when logging in

Reported by: anonymous Owned by: dkocher
Priority: highest Milestone: 3.0.1
Component: core Version: 3.0
Severity: major Keywords:
Cc: Architecture:
Platform:

Description

for some reason, if I choose to open a connection from the main menu, cyberduck completely ignores the login and password, and instead just uses the latest bookmark credentials...

So basically, I can't log into an ftp without first removing any other bookmarks for the same server.

Attachments (3)

step1.png (53.1 KB) - added by anonymous on May 20, 2008 at 9:29:12 PM.
step2.png (95.8 KB) - added by anonymous on May 20, 2008 at 9:29:39 PM.
step3.png (62.0 KB) - added by anonymous on May 20, 2008 at 9:30:33 PM.
cyberduck connects to the bookmark despite typing in a different login in the open connection

Download all attachments as: .zip

Change History (7)

comment:1 Changed on May 17, 2008 at 11:58:58 AM by dkocher

  • Milestone changed from 3.1 to 3.0.1
  • Resolution set to fixed
  • Status changed from new to closed

comment:2 Changed on May 20, 2008 at 9:19:26 PM by anonymous

  • Resolution fixed deleted
  • Status changed from closed to reopened
  1. Create a bookmark with one login and password for a server
  2. Disconnect, and "Open Connection" for the SAME server, but a different login and password. Connect.
  3. Notice that the menubar will instead reference the bookmark you created in step 1, until you destroy that bookmark.
  4. This is not just aesthetic, it does actually log you in as the most recent bookmarked credentials.

comment:3 Changed on May 20, 2008 at 9:21:23 PM by anonymous

  1. Create a bookmark with one login and password for a server
  2. Disconnect, and "Open Connection" for the SAME server, but a different login and password. Connect.
  3. Notice that the menubar will instead reference the bookmark you created in step 1, until you destroy that bookmark.
  4. This is not just aesthetic, it does actually log you in as the most recent bookmarked credentials.

Seems to only happen with bookmarks created since the update. They in essence stick on a per-server basis

Changed on May 20, 2008 at 9:29:12 PM by anonymous

Changed on May 20, 2008 at 9:29:39 PM by anonymous

Changed on May 20, 2008 at 9:30:33 PM by anonymous

cyberduck connects to the bookmark despite typing in a different login in the open connection

comment:4 Changed on Jul 20, 2008 at 9:42:46 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Please try the latest nightly build from http://update.cyberduck.ch/nightly. This is supposed to be fixed already.

Note: See TracTickets for help on using tickets.
swiss made software